Subject: RE: B19: [.exe is missing and B19.1 dll update is corrupt
From: [email-masked] (Bob McGowan)

26 Mar 1998 18:14:16 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

I am not sure what is happening on with your system, resulting in the
conclusion that "[.exe is missing".  I just did the following and it
looks to me like the left bracket is built in to ash also.  I put all
the Cygwin tools in /bin with mingw32 stuff in /usr/bin.  I also have
"which" which says "[ not found" in any of the path elements.

bash-2.01$ ash
$ type [
type: not found
$ [ true ] && echo ok
ok
$ ls /bin/[
ls: /bin/[: No such file or directory
$ ls /usr/bin/[
ls: /usr/bin/[: No such file or directory
$ ps
TTY   PID  PPID  PGID  WIN32-PID  UID    STIME COMMAND
-1   1000  1000  1000        202 1000 10:31:55 c:\bin\bash.exe
-1   1004  1000  1004        199 1000 11:32:21 C:\bin\ash.exe
-1   1009  1004  1004        166 1000 11:33:38 C:\bin\ps.exe
$ exit
bash-2.01$

----
Bob McGowan
i'm bobmcgow at xstor dot com
Storage Dimensions, Inc.

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, March 20, 1998 12:50 AM
To: [email-masked]
Subject: Re: B19: [.exe is missing and B19.1 dll update is corrupt

Hi Simon,

>
>
>The utility [.exe seems to be missing from this release which breaks
most of
>the scripts that rely on it rather than test.exe. The utility was in
B18.

Just "ln -s test.exe [.exe", if you need it.
But it is not necessary for bash, only for ash, which is sh.exe in B19.
In bash you get

 $ type [
[ is a shell builtin

>
>Also the b19.1  Cygwinb19.dll.gz  seems to be corrupt at all the
servers that
>I have tried to download from. I get the message that there is garbbage
>appended to the file. 

Try to get it from ftp.franken.de. The exact path is
/pub/win32/develop/gnuwin32/mirrors/cygnus/gnu-win32-b19/b19.1-update/

>
>Simon Azriel

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message
to
"[email-masked]" with one line of text: "help".
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".